# GeomUtil.HitResult (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.geom
Class GeomUtil.HitResult

    java.lang.Object
      org.newdawn.slick.geom.GeomUtil.HitResult

Enclosing class:
  GeomUtil

    public class GeomUtil.HitResult

extends java.lang.Object

A lightweigtht description of a intersection between a shape and line.

Field Summary
`Line` `line` The line on the target shape that intersected
`int` `p1` The index of the first point on the target shape that forms the line
`int` `p2` The index of the second point on the target shape that forms the line
`Vector2f` `pt` The position of the intersection

Constructor Summary
`GeomUtil.HitResult()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### line

    public Line line

  The line on the target shape that intersected

### p1

    public int p1

  The index of the first point on the target shape that forms the line

### p2

    public int p2

  The index of the second point on the target shape that forms the line

### pt

    public Vector2f pt

  The position of the intersection

Constructor Detail

### GeomUtil.HitResult

    public GeomUtil.HitResult()

Copyright © 2006 New Dawn Software. All Rights Reserved.